# Dadou - 2.1-0.20010121.1mdk - Define LMDK version - Be carefull if you modify
#                               this macro. Its result appear in all bug report
#                               send to the KDE team
%{expand:%%define mdk_version %(A=$(awk '{print $4}' /etc/mandrake-release); B=$(awk '{print $5}' /etc/mandrake-release); if [ -n "$A" ]; then echo $A $B; else echo Cooker; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%define unstable 0

Name:		koffice-i18n-fr
Summary:	French language support for Koffice
Version:    1.3.5
Release:    1mdk
Group:		System/Internationalization
License:	GPL
URL:		http://www.kde.org/
Icon:		kde-icon.xpm

Source:    %name-%version.tar.bz2

BuildRoot:	%_tmppath/koffice-i18n-fr-%version-%release-root
Requires:	locales-fr, koffice, spell-fr
BuildArch:	noarch
Conflicts:	kde-i18n-fr =< 2.2.2
BuildRequires: gettext kdelibs texinfo arts-devel

%description
French language support for Koffice.

%prep
%setup -q



%build
%configure

%make


%install
rm -fr %buildroot
%makeinstall_std

%clean
rm -fr %buildroot

%files
%defattr(-,root,root,-)
%dir %_docdir/HTML/
%dir %_docdir/HTML/fr/
%dir %_docdir/HTML/fr/kformula/
%doc %_docdir/HTML/fr/kformula/common
%doc %_docdir/HTML/fr/kformula/*.docbook
%doc %_docdir/HTML/fr/kformula/*.bz2

%dir %_docdir/HTML/fr/koffice/
%doc %_docdir/HTML/fr/koffice/common
%doc %_docdir/HTML/fr/koffice/*.docbook
%doc %_docdir/HTML/fr/koffice/*.bz2

%dir %_docdir/HTML/fr/koshell/
%doc %_docdir/HTML/fr/koshell/common
%doc %_docdir/HTML/fr/koshell/*.docbook
%doc %_docdir/HTML/fr/koshell/*.bz2

%dir %_docdir/HTML/fr/kchart/
%doc %_docdir/HTML/fr/kchart/common
%doc %_docdir/HTML/fr/kchart/*.docbook
%doc %_docdir/HTML/fr/kchart/*.bz2

%dir %_docdir/HTML/fr/kspread/
%doc %_docdir/HTML/fr/kspread/common
%doc %_docdir/HTML/fr/kspread/*.docbook
%doc %_docdir/HTML/fr/kspread/*.bz2
%doc %_docdir/HTML/fr/kspread/*.png


%dir %_docdir/HTML/fr/kpresenter/
%doc %_docdir/HTML/fr/kpresenter/*.docbook
%doc %_docdir/HTML/fr/kpresenter/*.bz2
%doc %_docdir/HTML/fr/kpresenter/common
%doc %_docdir/HTML/fr/kpresenter/*.png

%dir %_docdir/HTML/fr/kivio/
%doc %_docdir/HTML/fr/kivio/*.docbook
%doc %_docdir/HTML/fr/kivio/*.bz2
%doc %_docdir/HTML/fr/kivio/common

   
%dir %_docdir/HTML/fr/kpresenter/pics/
%_docdir/HTML/fr/kpresenter/pics/*.png


%dir %_docdir/HTML/fr/kword/
%doc %_docdir/HTML/fr/kword/*.docbook
%doc %_docdir/HTML/fr/kword/*.png
%doc %_docdir/HTML/fr/kword/*.bz2
%doc %_docdir/HTML/fr/kword/common


%dir %_docdir/HTML/fr/kugar/
%doc %_docdir/HTML/fr/kugar/common
%doc %_docdir/HTML/fr/kugar/*.docbook
%doc %_docdir/HTML/fr/kugar/*.bz2
%doc %_docdir/HTML/fr/kugar/*.png

%dir %_docdir/HTML/fr/thesaurus/
%doc %_docdir/HTML/fr/thesaurus/common
%doc %_docdir/HTML/fr/thesaurus/*.docbook
%doc %_docdir/HTML/fr/thesaurus/*.bz2

 


#
%dir %_datadir/locale/
%dir %_datadir/locale/fr/
%dir %_datadir/locale/fr/LC_MESSAGES/
%_datadir/locale/fr/LC_MESSAGES/*.mo

%dir %_datadir/apps/koffice/
%dir %_datadir/apps/koffice/autocorrect/
%_datadir/apps/koffice/autocorrect/*.xml


%changelog
* Wed Nov 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-1mdk
- 1.3.5

* Wed Oct 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.4-1mdk
- 1.3.4

* Tue Sep 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.3-1mdk
- 1.3.3

* Mon Jul  5 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-1mdk
- 1.3.2

* Tue May  4 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-1mdk
- 1.3.1

* Tue Jan 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-1mdk
- 1.3

* Tue Jan 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-1mdk
- 1.3

* Fri Dec 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.rc2.1mdk
- rc2

* Fri Nov 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.rc1.2mdk
- Fix buildrequires

* Sat Aug 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.beta3.1mdk
- 1.3

* Wed Jul 16 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3-0.beta2.1mdk
- beta2
- buildrequires
- macroize

* Mon Apr 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.beta1.1mdk
- 1.3-beta1
* Thu Mar 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-2mdk
- Fix spell requires

* Fri Dec 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Tue Oct 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-2mdk
- fix group

* Thu Sep 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-1mdk
- final

* Wed Sep 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta2.3mdk
- Require koffice

* Sat Aug 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta2.2mdk
- add conflict

* Wed Jun 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta2.1mdk
- 1.2-beta2

* Tue Dec 11 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-1mdk
- koffice 1.1.1

* Thu Aug 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-1mdk
- koffice 2.2
